Retrieves the company contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ab048bae-8de0-443f-a627-2f4ecf1a5373",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "0e18cfe1-78ba-4923-a3b6-4ed8aa536ad9",
"company_code": "sample string 5",
"company": {
"id": "d1e4b871-9497-422d-9202-bd3e62304c74",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-09-14T18:33:02.0636008+00:00",
"sales_territory_id": "903ff9cf-76ba-4d1e-8580-f1a4c61d655c",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "c95309ec-4069-46af-8634-c5a44e9f6336",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "cc2beb7f-0142-479b-bec3-f9c73909147f",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "3af97524-4fcf-45a8-9694-9f5553f6b774",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f2e8a80d-bb08-4a0b-b809-43d3f964bbb8",
"db_currency_id": "79bee7c6-ef07-4f5d-98f9-140b93edeb90",
"db_language_id": "b33562b5-4a39-45a0-922a-d484a8d2bcb7",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-09-14T18:33:02.0636008+00:00"
},
"modified_dateutc": "2026-09-14T18:33:02.0636008+00:00"
},
"marketing_segment_id": "2752e958-6c90-495e-9662-8a643ef4b1d1",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "4454df47-c3ca-4771-8449-23d357a65ac2",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "5898191d-bc52-4efc-abd2-cd1d3bdee8b5",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "c59856e9-e71a-4367-90c4-aefdf2920ce6",
"db_country_code": "sample string 28",
"feelist_id": "f6aeae24-17c6-43e3-a0a8-bcd1dca6f80c",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "e5521040-43e2-47b5-9059-b03ca2e4c0e7",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "1d7c4e15-d953-4e3e-b9b5-cb8bc5a61748",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-09-14T18:33:02.0636008+00:00",
"db_currency_id": "973812f5-5f8f-4010-bafd-ec3d83ec3d4c",
"db_currency_code": "sample string 10"
},
"company_type_id": "41c22190-171a-4e7e-824d-e0b9b643593e",
"company_type_name": "sample string 32",
"company_type": {
"id": "fbf38b04-85ae-4bba-99b7-c0c5516a5546",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "9bf88407-3c87-4e92-bb4c-44581b69ad73",
"sales_organization_code": "sample string 5"
},
"db_language_id": "986bb529-1b92-4ee7-be86-d5348f698cc0",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "1403988e-4a2f-4be9-af7d-c4a02967e98a",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "db6b1275-f220-421d-95e6-4c35e56a2c68",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "500f2cd2-ddfe-4c72-834a-1d58c2b1c7b0",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-09-14T18:33:02.0636008+00:00"
},
"company_sector_id": "c133c78e-2530-4abc-b545-44052e8a51ff",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "5846443f-7ad5-45ea-a038-9f931a4a0ddb",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "cf30254b-fe7e-4984-9c63-2c68395e7f31",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "9e56f5c8-7c97-4b28-96e2-01f29382fd68",
"account_manager_user_code": "sample string 56",
"company_status_id": "44078c35-55b2-4d6d-a076-559842bd1039",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-09-14T18:33:02.0636008+00:00",
"id2": 60
},
"db_language_id": "5b512dbc-71f7-4a43-ab71-b94c03ebc23e",
"db_language_code": "sample string 7",
"db_title_id": "38002d79-f9fd-4f4a-81f3-04f30a3cc127",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-09-14T18:33:02.0636008+00:00",
"create_date": "2026-09-14T18:33:02.0636008+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-09-14T18:33:02.0636008+00:00"
}